//
//  MoonPhaseGLView.h
//  MoonPhase
//
//  Created by James Dessart on 04/09/08.
//  Copyright 2008 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>

#include <OpenGL/glu.h>

@interface MoonPhaseGLView : NSOpenGLView
{
@public	NSSize textureSize;

	int phase;
	int currentPhase;
	GLuint textureName;
}

- (void)setPhase:(int)aPhase;
- (void)setCurrentPhase:(int)aPhase;
- (void)textureFromImage:(NSImage*)theImg textureName:(GLuint*)texName;

- (NSString*)displayPhaseString;
- (NSString*)currentPhaseString;

- (void)timerTick:(NSTimer*)theTimer;

@end
